server {
    listen 443 http2 ssl;
    listen [::]:443 http2 ssl;

    server_name localhost;

    ssl_certificate /etc/ssl/certs/nginx-localhost.crt;
    ssl_certificate_key /etc/ssl/private/nginx-localhost.key;
    ssl_dhparam /etc/ssl/certs/dhparam.pem;
}

server {
    listen 443 http2 ssl;
    listen [::]:443 http2 ssl;

    server_name repo.maven.apache.org;

    ssl_certificate /etc/ssl/certs/nginx-maven.crt;
    ssl_certificate_key /etc/ssl/private/nginx-maven.key;
    ssl_dhparam /etc/ssl/certs/dhparam.pem;

    location / {
        proxy_pass https://repo1.maven.org;
        proxy_ssl_name repo1.maven.org;
    }
}

server {
    listen 443 http2 ssl;
    listen [::]:443 http2 ssl;

    server_name api.nuget.org;

    ssl_certificate /etc/ssl/certs/nginx-dot-net.crt;
    ssl_certificate_key /etc/ssl/private/nginx-dot-net.key;
    ssl_dhparam /etc/ssl/certs/dhparam.pem;
}
